import request from '@/utils/request'

// 创建用户模板
export function createDesignTemplateUser(data) {
  return request({
    url: '/manager/design-template-user/create',
    method: 'post',
    data: data
  })
}

// 更新用户模板
export function updateDesignTemplateUser(data) {
  return request({
    url: '/manager/design-template-user/update',
    method: 'put',
    data: data
  })
}

// 删除用户模板
export function deleteDesignTemplateUser(id) {
  return request({
    url: '/manager/design-template-user/delete?id=' + id,
    method: 'delete'
  })
}

// 获得用户模板
export function getDesignTemplateUser(id) {
  return request({
    url: '/manager/design-template-user/get?id=' + id,
    method: 'get'
  })
}

// 获得用户模板分页
export function getDesignTemplateUserPage(params) {
  return request({
    url: '/manager/design-template-user/page',
    method: 'get',
    params
  })
}
// 导出用户模板 Excel
export function exportDesignTemplateUserExcel(params) {
  return request({
    url: '/manager/design-template-user/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}